Summary: Tdr - topdrawer: histgram display
Name: tdr
%define version 1.7
Version: %{version}
Release: 10.9%{?dist}12b
%ifarch hppa1.1
%define PREFIX /jlc/local
%define MANSEC n
%define MANEXT n
%else
%define PREFIX /usr/osxws
%define MANSEC 1
%define MANEXT 1x
%endif
License: The Board of Trustees of the Leland, Stanford Junior University
Group: Applications/Math
Source: tdr-%{version}.tar.gz
Patch: tdr-%{version}-gfortran.patch
Packager: Keifuke Fujii <keisuke.fujii@kek.jp>
BuildRoot: %{_tmppath}/tdr-root

%description
TDR  is  a  subset  of  TOPDRAWER, which displays histgrams. Currently
available devices are  "tek4010",  "necpc100",  "pc98vt",  "canonlbp",
"psl",  "psp",  "epsl", "epsp", "X", "XM", "XN" and "XMN", where "psl"
is a PostScript with a landscape format, "psp" is a PostScript with  a
portrait format, "epsl" and "epsp" are similar to "psl" and "psp", but
they will put an EPS  heading  and  BoundingBox  line  for  LaTeX  EPS
styles.  "X"  is  for color X terminals, "XM" is for black-and-white X
terminals. "XN" and "XMN" are similar to "X" and "XM", but  they  will
not create pixel map to save the X-terminal's memory and drawing time,
with a cost of no backing store function. Kermit users should  specify
"tek4010".  The  default  device  is  "tek4010".   If the -p option is
specified, a pre-processor routine is envoked and it tries to  emulate
TOPDRAWER as much as possible, but it takes time.

%prep
%setup
%ifnarch hppa1.1
%patch -p1 -b .orig
%endif
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/bin
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/share/man/man%{MANSEC}

%build
make compile CFLAGS="-O -I/usr/X11R6/include" \
	PREFIX=%{PREFIX} MAINDIR=$RPM_BUILD_DIR/tdr-%{version}
make lib PREFIX=%{PREFIX} MAINDIR=$RPM_BUILD_DIR/tdr-%{version}
make tdr PREFIX=%{PREFIX} MAINDIR=$RPM_BUILD_DIR/tdr-%{version}

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{PREFIX} \
	MAINDIR=$RPM_BUILD_DIR/tdr-%{version} \
	MANSEC=%{MANSEC} MANEXT=%{MANEXT}
rm -f $RPM_BUILD_ROOT%{PREFIX}/share/man/man1/pf.1*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{PREFIX}/bin/tdr
%{PREFIX}/share/man/man%{MANSEC}/tdr.%{MANEXT}*
%doc CHANGES COPYRIGHT DISCLAIMER README README-jp SAMPLE.DAT

%changelog
* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.9hepx1b
- 2nd build on MacOSX 10.9 with gfortran for Intel Macs

* Fri Nov 29 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.9hepx1d
- 1st build on MacOSX 10.9 with gfortran for Intel Macs

* Tue Jan 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.6hepx1d
- 4th build on MacOSX 10.6 with gfortran for Intel Macs
- rebuilt with gcc4.5.1 with libgfortran.dylib

* Sat Nov 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.6hepx1c
- 3rd build on MacOSX 10.6 with gfortran for Intel Macs
- rebuilt with gcc4.5.1

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.6hepx1b
- 2nd build on MacOSX 10.6 with gfortran for Intel Macs
- rebuilt with gcc4.5.1

* Sun Mar 07 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.6hepx1a
- 1st build on MacOSX 10.6 with gfortran for Intel Macs

* Sat Mar 22 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-10.5hepx1a
- 1st build on MacOSX 10.5 with gfortran for Intel Macs

* Wed Mar 19 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-hepx1a
- 1st build on MacOSX 10.5 with gfortran for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-3d
- 2nd build on MacOSX 10.4 with gfortran for Intel Macs

* Thu Oct 05 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-3c
- 1st build on MacOSX 10.4 with gfortran for Intel Macs

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-3b
- 2nd build on MacOSX 10.4 with gfortran
- linked against libgfortran.1.dylib instead of libgfortran.0.dylib

* Wed Sep 28 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-3a
- 1st build on MacOSX 10.4 with gfortran

* Fri May 13 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-2d
- 1st build on MacOSX 10.3

* Fri Jan 09 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.7-2c
- 1st build on MacOSX 10.3

